Package org.eclipse.net4j.util.event

## Interface IListener.NotifierAware

- All Superinterfaces:
    `java.util.EventListener`, `IListener`
  All Known Implementing Classes:
    `SelfAttachingContainerListener`, `SelfAttachingContainerListener.Delegating`
  Enclosing interface:
    IListener

      public static interface IListener.NotifierAware
      extends IListener

  Since:
    3.16
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

      `IListener.NotifierAware`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addNotifier​(INotifier notifier)` |
    `void` | `removeNotifier​(INotifier notifier)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.event.IListener

      `notifyEvent`

- - ### Method Detail

    - #### addNotifier

          void addNotifier​(INotifier notifier)

    - #### removeNotifier

          void removeNotifier​(INotifier notifier)